"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var babelrc_js_1 = __importDefault(require("../babelrc.js"));
var utils_1 = __importDefault(require("../utils"));
var paths_1 = __importDefault(require("../paths"));
var BABEL_REGEX = /\.(jsx|js|mjs)$/;
function getBabelLoader(rcb) {
    var _a;
    var include = [
        paths_1.default.src
    ];
    if (Array.isArray(rcb.transpileDependencies)) {
        include = __spreadArrays(include, (_a = rcb.transpileDependencies) === null || _a === void 0 ? void 0 : _a.map(function (i) { return paths_1.default.getNodeModules(i); }));
    }
    return ({
        test: BABEL_REGEX,
        include: include,
        exclude: [
            /@babel(?:\/|\\{1,2})runtime/
        ],
        use: [
            {
                loader: require.resolve('babel-loader'),
                options: utils_1.default.mergeBabelConfig(babelrc_js_1.default, { plugins: rcb.babelPlugins, presets: rcb.babelPresets })
            }
        ]
    });
}
exports.default = getBabelLoader;
