"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var terser_webpack_plugin_1 = __importDefault(require("terser-webpack-plugin"));
var utils_1 = __importDefault(require("./utils"));
function getOptimization() {
    var baseOptim = {
        runtimeChunk: {
            name: 'runtime'
        }
    };
    if (utils_1.default.isProduction()) {
        baseOptim = Object.assign({}, baseOptim, {
            splitChunks: {
                chunks: 'all',
                name: false
            },
            minimize: true,
            minimizer: [new terser_webpack_plugin_1.default({
                    extractComments: false,
                    terserOptions: {
                        parse: {
                            ecma: 8,
                        },
                        compress: {
                            ecma: 5,
                            warnings: false,
                            comparisons: false,
                            inline: 2,
                        },
                        mangle: {
                            safari10: true,
                        },
                        output: {
                            ecma: 5,
                            comments: false,
                            ascii_only: true,
                        },
                    },
                    sourceMap: false
                })]
        });
    }
    if (utils_1.default.isDev()) {
        baseOptim = Object.assign({}, baseOptim, {
            splitChunks: {
                chunks: 'all',
                name: false,
                cacheGroups: {
                    vendor: {
                        test: /[\\/]node_modules[\\/]/,
                        name: 'vendor.js'
                    }
                }
            },
        });
    }
    return baseOptim;
}
exports.default = getOptimization;
;
