import { TransformOptions } from '@babel/core';
import chalk from 'chalk';
import { Configuration as webpackDevServerConfiguration } from 'webpack-dev-server';
import webpack from 'webpack';
interface Configuration extends webpack.Configuration {
    devServer?: webpackDevServerConfiguration;
}
declare function noop(): null;
declare function getEnv(): "development" | "production";
declare function isDev(): boolean;
declare function isProduction(): boolean;
declare function isFunction(func: any): boolean;
declare function isObject(obj: any): boolean;
declare function isString(str: any): boolean;
declare function loggerPrefix(message: string, options?: {
    name?: string;
}): void;
declare function success(info: string): void;
declare function logger(info: string): void;
declare function warning(info: string): void;
declare function error(info: string): void;
declare function requireModule(modulePath: string): any;
declare function getWebpackProxyPath(webpackConfig: Configuration): string[];
declare function mergeBabelConfig(baseConfig: TransformOptions, mergeConfig: TransformOptions): {
    presets: (string | object)[];
    plugins: (string | object)[];
    ast?: boolean | null | undefined;
    auxiliaryCommentAfter?: string | null | undefined;
    auxiliaryCommentBefore?: string | null | undefined;
    root?: string | null | undefined;
    rootMode?: "root" | "upward" | "upward-optional" | undefined;
    configFile?: string | boolean | null | undefined;
    babelrc?: boolean | null | undefined;
    babelrcRoots?: string | boolean | RegExp | ((filename: string | undefined, context: import("@babel/core").MatchPatternContext) => boolean) | import("@babel/core").MatchPattern[] | null | undefined;
    envName?: string | undefined;
    exclude?: string | RegExp | ((filename: string | undefined, context: import("@babel/core").MatchPatternContext) => boolean) | import("@babel/core").MatchPattern[] | undefined;
    code?: boolean | null | undefined;
    comments?: boolean | null | undefined;
    compact?: boolean | "auto" | null | undefined;
    cwd?: string | null | undefined;
    caller?: import("@babel/core").TransformCaller | undefined;
    env?: {
        [index: string]: TransformOptions | null | undefined;
    } | null | undefined;
    extends?: string | null | undefined;
    filename?: string | null | undefined;
    filenameRelative?: string | null | undefined;
    generatorOpts?: import("@babel/generator").GeneratorOptions | null | undefined;
    getModuleId?: ((moduleName: string) => string | null | undefined) | null | undefined;
    highlightCode?: boolean | null | undefined;
    ignore?: import("@babel/core").MatchPattern[] | null | undefined;
    include?: string | RegExp | ((filename: string | undefined, context: import("@babel/core").MatchPatternContext) => boolean) | import("@babel/core").MatchPattern[] | undefined;
    inputSourceMap?: object | null | undefined;
    minified?: boolean | null | undefined;
    moduleId?: string | null | undefined;
    moduleIds?: boolean | null | undefined;
    moduleRoot?: string | null | undefined;
    only?: import("@babel/core").MatchPattern[] | null | undefined;
    overrides?: TransformOptions[] | undefined;
    parserOpts?: import("@babel/parser").ParserOptions | null | undefined;
    retainLines?: boolean | null | undefined;
    shouldPrintComment?: ((commentContents: string) => boolean) | null | undefined;
    sourceFileName?: string | null | undefined;
    sourceMaps?: boolean | "inline" | "both" | null | undefined;
    sourceRoot?: string | null | undefined;
    sourceType?: "module" | "script" | "unambiguous" | null | undefined;
    test?: string | RegExp | ((filename: string | undefined, context: import("@babel/core").MatchPatternContext) => boolean) | import("@babel/core").MatchPattern[] | undefined;
    wrapPluginVisitorMethod?: ((pluginAlias: string, visitorType: "exit" | "enter", callback: (path: import("@babel/traverse").NodePath<import("@babel/types").Node>, state: any) => void) => (path: import("@babel/traverse").NodePath<import("@babel/types").Node>, state: any) => void) | null | undefined;
};
declare const _default: {
    chalk: chalk.Chalk & chalk.ChalkFunction & {
        supportsColor: false | chalk.ColorSupport;
        Level: chalk.Level;
        Color: "black" | "red" | "green" | "yellow" | "blue" | "magenta" | "cyan" | "white" | "gray" | "grey" | "blackBright" | "redBright" | "greenBright" | "yellowBright" | "blueBright" | "magentaBright" | "cyanBright" | "whiteBright" | "bgBlack" | "bgRed" | "bgGreen" | "bgYellow" | "bgBlue" | "bgMagenta" | "bgCyan" | "bgWhite" | "bgGray" | "bgGrey" | "bgBlackBright" | "bgRedBright" | "bgGreenBright" | "bgYellowBright" | "bgBlueBright" | "bgMagentaBright" | "bgCyanBright" | "bgWhiteBright";
        ForegroundColor: "black" | "red" | "green" | "yellow" | "blue" | "magenta" | "cyan" | "white" | "gray" | "grey" | "blackBright" | "redBright" | "greenBright" | "yellowBright" | "blueBright" | "magentaBright" | "cyanBright" | "whiteBright";
        BackgroundColor: "bgBlack" | "bgRed" | "bgGreen" | "bgYellow" | "bgBlue" | "bgMagenta" | "bgCyan" | "bgWhite" | "bgGray" | "bgGrey" | "bgBlackBright" | "bgRedBright" | "bgGreenBright" | "bgYellowBright" | "bgBlueBright" | "bgMagentaBright" | "bgCyanBright" | "bgWhiteBright";
        Modifiers: "reset" | "bold" | "dim" | "italic" | "underline" | "inverse" | "hidden" | "strikethrough" | "visible";
        stderr: chalk.Chalk & {
            supportsColor: false | chalk.ColorSupport;
        };
    };
    loggerPrefix: typeof loggerPrefix;
    logger: typeof logger;
    success: typeof success;
    warning: typeof warning;
    error: typeof error;
    noop: typeof noop;
    getEnv: typeof getEnv;
    isDev: typeof isDev;
    isProduction: typeof isProduction;
    isFunction: typeof isFunction;
    isObject: typeof isObject;
    isString: typeof isString;
    requireModule: typeof requireModule;
    getWebpackProxyPath: typeof getWebpackProxyPath;
    mergeBabelConfig: typeof mergeBabelConfig;
};
export default _default;
