import { RcbConfig } from '../getConfig';
import bablerc from '../babelrc.js';
import utils from '../utils';
import paths from '../paths';
const BABEL_REGEX = /\.(jsx|js|mjs)$/;

export default function getBabelLoader(rcb: RcbConfig) {
    let include = [
        paths.src
    ];
    if (Array.isArray(rcb.transpileDependencies)) {
        include = [
            ...include,
            ...rcb.transpileDependencies?.map(i => paths.getNodeModules(i))
        ];
    }
    return ({
        test: BABEL_REGEX,
        include,
        exclude: [
            /@babel(?:\/|\\{1,2})runtime/
        ],
        use: [
            {
                loader: require.resolve('babel-loader'),
                options: utils.mergeBabelConfig(bablerc, { plugins: rcb.babelPlugins, presets: rcb.babelPresets })
            }
        ]
    });
}
