import { RcbConfig } from '../getConfig';
const BABEL_REGEX = /\.(js|mjs)$/;

export default function getDevBabelLoader(rcb: RcbConfig) {
    return ({
        test: BABEL_REGEX,
        exclude: [
            /@babel(?:\/|\\{1,2})runtime/
        ],
        loader: require.resolve('babel-loader'),
        options: {
            sourceType: 'unambiguous',
            babelrc: false,
            configFile: false,
            presets: [
                [
                    require.resolve('@babel/preset-env'),
                    {
                        useBuiltIns: 'entry',
                        corejs: 3,
                        exclude: ['transform-typeof-symbol']
                    }
                ],
            ],
            plugins: [
                [
                    require.resolve('@babel/plugin-transform-runtime'),
                    {
                        regenerator: true,
                        corejs: false,
                        useESModules: true,
                        helpers: true
                    }
                ]
            ],
            cacheDirectory: false,
            // See #6846 for context on why cacheCompression is disabled
            cacheCompression: false,
            sourceMaps: false,
            inputSourceMap: false
        }
    });
}
