import { RcbConfig } from '../getConfig';
import utils from '../utils';
export default function getFileLoader(rcb: RcbConfig) {
    return ({
        loader: require.resolve('file-loader'),
        exclude: [
            /\.(js|jsx|ts|tsx)$/,
            /\.html$/,
            /\.json$/
        ],
        options: {
            name: utils.isDev()
                ? 'images/[name].[ext]?[hash]'
                : '/images/[name].[ext]?[hash]',
            esModule: rcb.esModuleImage || false
        }
    });
}
