import { RcbConfig } from '../getConfig';
import bablerc from '../babelrc.js';
import utils from '../utils';
import paths from '../paths';
const BABEL_REGEX = /\.(ts|tsx)$/;

export default function getTsLoader(rcb: RcbConfig) {
    let include = [
        paths.src
    ];
    if (Array.isArray(rcb.transpileDependencies)) {
        include = [
            ...include,
            ...rcb.transpileDependencies?.map(i => paths.getNodeModules(i))
        ];
    }
    return ({
        test: BABEL_REGEX,
        include,
        use: [
            {
                loader: require.resolve('babel-loader'),
                options: utils.mergeBabelConfig(bablerc, { plugins: rcb.babelPlugins, presets: rcb.babelPresets })
            },
            {
                loader: require.resolve('ts-loader'),
                options: {
                    transpileOnly: true
                }
            },
        ]
    });
};
