import { RcbConfig } from '../getConfig';
const FILE_REGEX = /\.(png|gif|jpg|jpeg|bmp|svg)$/;
import utils from '../utils';

export default function getUrlLoader(rcb: RcbConfig) {
    return ({
        test: FILE_REGEX,
        use: {
            loader: require.resolve('url-loader'),
            options: {
                limit: 10000,
                name: utils.isDev()
                    ? 'images/[name].[ext]?[hash]'
                    : '/images/[name].[ext]?[hash]',
                esModule: rcb.esModuleImage || false
            }
        }
    });
};
