import path from 'path';
import utils from './utils';
import {Output} from 'webpack';

export default function getOutput(config?: Output) {
    return Object.assign({
        path: path.resolve(process.cwd(), 'dist'),
        filename: utils.isDev() ? 'js/[name].js' : 'js/[name].[hash:8].js',
        chunkFilename: utils.isDev() ? 'js/[name].chunk.js' : 'js/[name].chunk.[hash:8].js'
    }, config);
};
