import path from 'path';
import fs from 'fs';

const root = fs.realpathSync(process.cwd());

function getResolvePath(filePath: string) {
    return path.resolve(root, filePath);
}

function getJoinPath(...args: string[]) {
    return path.join(root, ...args);
}

function getNodeModules(filePath: string) {
    return path.resolve(root, 'node_modules', filePath);
}

export default {
    root,
    src: getResolvePath('src'),
    appTsConfig: getResolvePath('tsconfig.json'),
    appNodeModules: getNodeModules(''),
    getNodeModules, 
    getJoinPath,
    getResolvePath
};
